# Internacionalização com i18n

O plugin i18n serve para criar administrar varias linguas em um sistema. Para começar, adicione o gem ao ```Gemfile```

```ruby
gem 'i18n'
```

Exemplo estatico:

```html
<h1>Oranges<h1>
```

Exemplo com o i18n:

```erb
<h1><%= t "blog.title" %></h1>
```

No arquivo de tradução ```en.yml```

```yml
pt-BR:
  blog:
    title: "Titulo"
```

Para mudar a lingua no sistema, modifique o arquivo ```/app/controllers/application_controller.rb```:

```ruby
classApplicationController < ActionController::Base
  protect_from_forgery
  before_filter :set_locale
  
  private
 
    def set_locale
      #I18n.config.enforce_available_locales = false
      I18n.default_locale = "pt-BR"
    end
  
end
```

---

[voltar](readme.md)